#ifndef DRV_USART1_H
#define DRV_USART1_H

#include "common.h" 
#include "app_rs485_1.h"

unsigned char CheckSum(unsigned char *dat, unsigned char num);

int8_t Send_Data_RS485(uint8_t*data,uint16_t size);


uint16_t Get_RS485_Data(uint8_t * dbuf,uint16_t dbuf_len);

void shark_uart_init(void);
u16 shark_uart_read(SUB_BMS_INFO *info, u8 *buff, u8 length);
void shark_uart_write(SUB_BMS_INFO *info, u16 size);
shark_bool shark_uart_write2(SUB_BMS_INFO *info, const u8 *buff, u16 size);
void shark_uart_tick(void);
void shark_uart_poll(void);
void shark_uart_poll_safe(void);

#endif

